# Creating a Tag for a Subnet

#### Function

This API is used to create a tag for a subnet.

#### URI

POST /v2.0/{project_id}/subnets/{subnet_id}/tags

Table 1 describes the parameters.

Table 1 Parameter description
Name | Mandatory | Description
--- | --- | ---
project_id | Yes | Specifies the project ID.
subnet_id | Yes | Specifies the subnet ID, which uniquely identifies the subnet. If you use the management console, the value of this parameter is the Network ID value.

#### Request Message

- Request parameter

Table 2 Request parameter
Parameter | Type | Mandatory | Description
--- | --- | --- | ---
tag | tag object | Yes | Specifies the tag objects. For details, see Table 3.

Table 3 tag objects
Attribute | Type | Mandatory | Description
--- | --- | --- | ---

key

String

Yes

- Specifies the tag key.
- Cannot be left blank.
- Can contain a maximum of 36 characters.
- Can contain only the following character types:
  - Uppercase letters
  - Lowercase letters
  - Digits
  - Special characters, including hyphens (-) and underscores (_)
- The tag key of a VPC must be unique.

value

String

Yes

- Specifies the tag value.
- Can contain a maximum of 43 characters.
- Can contain only the following character types:
  - Uppercase letters
  - Lowercase letters
  - Digits
  - Special characters, including hyphens (-) and underscores (_)

- Example request

    POST https://{Endpoint}/v2.0/{project_id}/subnets/{subnet_id}/tags

    {
        "tag": {
            "key": "key1",
            "value": "value1"
        }
    }

#### Response Message

- Response parameter

  None

- Example response

  None

#### Status Code

See Status Codes.

#### Error Code

See Error Codes.

Parent topic: Subnet Tag Management